Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.PortableServer
Class _ServantLocatorStub

    java.lang.Object
      |
      +--org.omg.CORBA.portable.ObjectImpl
            |
            +--org.omg.PortableServer._ServantLocatorStub

All Implemented Interfaces:
  IDLEntity, Object, java.io.Serializable, ServantLocator, ServantLocatorOperations, ServantManager, ServantManagerOperations

public class _ServantLocatorStub
extends ObjectImpl
implements ServantLocator

Interface definition : ServantLocator

Author:
  OpenORB Compiler
See Also:
  Serialized Form

Constructor Summary
`_ServantLocatorStub()`

Method Summary
`java.lang.String[]` | `_ids()`
`void` | `postinvoke(byte[] oid, POA adapter, java.lang.String operation, java.lang.Object the_cookie, Servant the_servant)` Operation postinvoke
`Servant` | `preinvoke(byte[] oid, POA adapter, java.lang.String operation, CookieHolder the_cookie)` Operation preinvoke

Methods inherited from class org.omg.CORBA.portable.ObjectImpl
`_create_request, _create_request, _duplicate, _get_delegate, _get_domain_managers, _get_interface_def, _get_interface, _get_policy, _hash, _invoke, _is_a, _is_equivalent, _is_local, _non_existent, _orb, _release, _releaseReply, _request, _request, _servant_postinvoke, _servant_preinvoke, _set_delegate, _set_policy_override, equals, hashCode, toString`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.omg.CORBA.Object
`_create_request, _create_request, _duplicate, _get_domain_managers, _get_interface_def, _get_interface, _get_policy, _hash, _is_a, _is_equivalent, _non_existent, _release, _request, _set_policy_override`

Constructor Detail

### _ServantLocatorStub

    public _ServantLocatorStub()

Method Detail

### _ids

    public java.lang.String[] _ids()

  Overrides:
    `_ids` in class `ObjectImpl`

### preinvoke

    public Servant preinvoke(byte[] oid,
                             POA adapter,
                             java.lang.String operation,
                             CookieHolder the_cookie)
                      throws ForwardRequest

  Operation preinvoke
  Specified by:
    `preinvoke` in interface `ServantLocatorOperations`

### postinvoke

    public void postinvoke(byte[] oid,
                           POA adapter,
                           java.lang.String operation,
                           java.lang.Object the_cookie,
                           Servant the_servant)

  Operation postinvoke
  Specified by:
    `postinvoke` in interface `ServantLocatorOperations`

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD